Bug 114168 - [PATCH] audio/esound lacks startup script for esd
[PATCH] audio/esound lacks startup script for esd
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: gnome
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-30 21:10 UTC by rsmith
Modified: 2007-09-16 18:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rsmith 2007-06-30 21:10:03 UTC
	When using esound without a desktop environment but just a window
	manager, I have to start it up manually lest there be no
	sound. Which is annoying.

Fix: 

The following is a startup script for esound (esd);
-------------------- esound --------------------
#!/bin/sh
#
# Startup script for esound

# PROVIDE: esound
# REQUIRE: DEAMON
# KEYWORD: shutdown

# Add the following line to /etc/rc.conf to enable the esound daemon:
#
#       esound_enable="YES"
#
# The configuration of esound is contained in /usr/local/etc/esd.conf
#

. /etc/rc.subr

name="esound"
rcvar=`set_rcvar`

load_rc_config $name
: ${esound_enable="NO"}

esound_flags=" &"

command="/usr/local/bin/esd"

run_rc_command "$1"
-------------------- esound --------------------
How-To-Repeat: 	Install esound, try to play sound.
Comment 1 Edwin Groothuis freebsd_committer 2007-06-30 23:55:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer
Comment 2 lhecking 2007-08-23 00:05:59 UTC
Any chance we will see this as an update to 6.2 (minus the typo ...)?
It finally fixes a problem I've had since upgrading to gnome 2.18:
system sound events, and only those, stopped working. I had the same
problem on Linux, and the fix there also was to start the esound daemon
at boot.
Comment 3 rsmith 2007-08-23 08:40:25 UTC
On Thu, Aug 23, 2007 at 12:05:59AM +0100, lhecking@users.sourceforge.net wrote:
> 
> Any chance we will see this as an update to 6.2 (minus the typo ...)?


Oops. s/DEAMON/DAEMON/ :-(

> It finally fixes a problem I've had since upgrading to gnome 2.18:
> system sound events, and only those, stopped working. I had the same
> problem on Linux, and the fix there also was to start the esound daemon
> at boot.


Still waiting for a reaction from gnome@ after almost two months. Of
course you can do as I did; just stick the script in /usr/local/etc/rc.d/.

edwin@: Time for a maintainer timeout? 

Roland
-- 
R.F.Smith                                   http://www.xs4all.nl/~rsmith/
[plain text _non-HTML_ PGP/GnuPG encrypted/signed email much appreciated]
pgp: 1A2B 477F 9970 BA3C 2914  B7CE 1277 EFB0 C321 A725 (KeyID: C321A725)
Comment 4 lhecking 2007-08-23 10:05:27 UTC
 
> > It finally fixes a problem I've had since upgrading to gnome 2.18:
> > system sound events, and only those, stopped working. I had the same
> > problem on Linux, and the fix there also was to start the esound daemon
> > at boot.
> 
> Still waiting for a reaction from gnome@ after almost two months. Of
> course you can do as I did; just stick the script in /usr/local/etc/rc.d/.
 
 Which is exactly what I did ;)
Comment 5 Joe Marcus Clarke freebsd_committer 2007-08-23 19:27:22 UTC
Esd is designed to be run as the current user, and not as root.  I don't
think starting it out of rc.d is a good idea.  What other distributions
do this?

Joe

-- 
Joe Marcus Clarke
FreeBSD GNOME Team      ::      marcus@FreeBSD.org
gnome@FreeBSD.org
FreeNode / #freebsd-gnome
http://www.FreeBSD.org/gnome
Comment 6 rsmith 2007-08-23 20:45:51 UTC
On Thu, Aug 23, 2007 at 02:27:22PM -0400, Joe Marcus Clarke wrote:
> Esd is designed to be run as the current user, and not as root.  I don't
> think starting it out of rc.d is a good idea. 


How does esd gain access to the sound devices when running as a normal
user? I guess you'd have to give everybody read and write access to the
devices in question. I'm not sure how that is safer than running esd as root.

> What other distributions do this?


I don't know. I just found it inconvenient that it doesn't start
automatically, like a daemon should (if configured in rc.conf)

Roland
-- 
R.F.Smith                                   http://www.xs4all.nl/~rsmith/
[plain text _non-HTML_ PGP/GnuPG encrypted/signed email much appreciated]
pgp: 1A2B 477F 9970 BA3C 2914  B7CE 1277 EFB0 C321 A725 (KeyID: C321A725)
Comment 7 Joe Marcus Clarke freebsd_committer 2007-09-16 18:38:40 UTC
State Changed
From-To: open->closed
Comment 8 dfilter freebsd_committer 2007-09-16 18:43:24 UTC
marcus      2007-09-16 17:43:17 UTC

  FreeBSD ports repository

  Modified files:
    audio/esound         Makefile 
  Added files:
    audio/esound         pkg-message 
  Log:
  Add a pkg-message talking about the correct way to start esd.
  
  PR:             114168
  
  Revision  Changes    Path
  1.68      +1 -0      ports/audio/esound/Makefile
  1.1       +6 -0      ports/audio/esound/pkg-message (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"